> For the complete documentation index, see [llms.txt](https://docs.ingestlabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/store-client-session.md).

# Store Client Session

This event should be triggered in 2 instances:

1. When the first item is added to a cart
2. At the beginning of a browser session, and if there is an existing cart.

```
window._mp.safeExecute('evStoreClientSession', function() {
   eedl('store_client_session', {
      cart_token: '<cart id or cart token>'
    });
  })();
```

If the event occurs in a iframe window, you need to fire the event using the below script.

```
window.top.postMessage({
      event_name: 'store_client_session',
      event_payload: {
            cart_token: '<cart id or cart token>'
          }
    },
    'PARENT_URL'
);

PARENT_URL is the url of the website.
```

[<br>](https://magic-pixel.gitbook.io/ingest-labs-implementation/web-sdk/tracking-events/products-array)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ingestlabs.com/implementation/web-sdk/tracking-events/store-client-session.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
